

/* 編集用テキストエリア*/
.result-editor {
  position: absolute;
  resize: none;
  box-sizing: border-box;
  z-index: 10;
  color: #fff;
}


.result-editor.hover-set-0,
.result-editor.hover-set-1 {
  background-color: rgba(255, 235, 59, 0.2);
}


.resultarea-button-group {
  justify-content: space-between;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  box-sizing: border-box;
  width: 100%;
  min-height: 2.2rem;
}

.first-block {
  position: relative;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1.5fr 1.35fr 1.35fr;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  
}

.panel {
  position: relative;
  border: 0.01px solid #f6d3eb;
  padding: 8px 8px 0px 8px;
  display: flex;
  flex-direction: column;
  background-color: #37373767;
  backdrop-filter: blur(6px);
  color: #f6d3eb;
  overflow: hidden;
  font-family: 'Menlo', 'Consolas', 'Courier New', monospace;
  font-size: 12px;
}

.panel-triangle-btn {
  position: absolute;
  top: 1px;
  right: 0.3px;
  width: 50px;
  height: 40px;
  background-color: #957b27;
  color: #f6d3eb;
  clip-path: polygon(0% 0%, 100% 0%, 100% 100%); /* 90°左回転 */
  cursor: pointer;
  z-index: 1000;
  display: none;
}

.panel-triangle-label {
  position: absolute;
  top: 3px;    /* 上にはみ出す */
  right: 8px;   /* 右方向に少しずらす */
  font-size: 14px;
  color: #f6d3eb;
  white-space: nowrap; /* 改行させない */
  pointer-events: none;
  z-index: 1000;
  display: none;
}

#editModeTriangleBtn{
  top: 0.6px;
  right: 0px;
}

#editModeTriangleLabel{
  top: 2.5px;
  right: 7.5px;
}


.panel.disabled {
  opacity: 0.3;           /* 薄く表示してグレーアウト */
  pointer-events: none;   /* クリックや入力を無効化 */
}

/*.panel:hover,*/
.panel-triangle-btn:hover {
  background: #6198c4bb;
}

.good-count {
  color: #c2ac53be;
  font-size: 12px;
}

.panel-title {
  font-weight: bold;
  margin-left: 12px;
  margin-bottom: 4px;
}

.input-with-icon {
  position: relative;
  width: 100%;
}

.search-icon {
  position: absolute;
  left: 12px;
  top: 50%;
  transform: translateY(-50%);
  width: 16px;
  height: 16px;
  color: #888;
  pointer-events: none;
}

.panel-input {
  width: 100%;
  font-family: 'Menlo', 'Consolas', 'Courier New', monospace;
  font-size: 12.5px;
  line-height: 31px;          /* 行高さ（ここをUI基準に合わせてください） */
  padding: 0rem 1rem 0rem 2.2rem;          /* 必要に応じて */
  box-sizing: border-box;
  resize: none;
  overflow-x: auto;        /* 自動リサイズするのでスクロールは出さない */
  height: 31px;           /* JSで同じ値を参照するが、CSSでも保険的に設定 */
  border: 1.5px solid #808080;
  border-radius: 50px;
}

.panel-input {
  overflow-x: scroll; /* auto→scroll */
  -webkit-overflow-scrolling: auto; /* スムーズスクロールを無効化 */
}

/* Webkit専用でスクロールバーを常に表示 */
.panel-input::-webkit-scrollbar {
  height: 8px; /* 横スクロールバーの高さ */
  background: #f0f0f0;
}
.panel-input::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 4px;
}
.panel-input:focus {
  border-color: #409eff;
}

.panel-content {
  width: 100%;
  margin-top: 8px;
  white-space: wrap;
  padding: 0px 8px;
  overflow-y: auto;
  height: 100%;
}

.panel-item,
.result-panel-item,
.ui-get-category {
  max-width: 97%;
  height: auto;
  display: inline-flex;
  flex-wrap: wrap;          /* 中身を折り返す */
  align-items: center;
  padding: 2px 10px;
  margin-bottom: 4px;
  background-color: #e0e0e0;
  color: #333;
  border-radius: 12px;
  cursor: default;
  white-space: wrap;
  overflow: hidden; 
  word-break: break-word;
  text-overflow: ellipsis;    /* 省略記号「…」を表示 */
  min-width: fit-content;     /* 内容に合わせて広がる */
  box-sizing: border-box;
}


.panel-item.action,
.result-panel-item.action,
.panel-item.tag-filter.action,
.panel-item.action.selected,
.panel-item.tag-filter.action.selected { background-color: #48b4c0; }/* 元の配色 background-color: #3498db;　*/

.panel-item.target,
.result-panel-item.target,
.panel-item.tag-filter.target,
.panel-item.target.selected,
.panel-item.tag-filter.target.selected { background-color: #73a952; }/* 元の配色 background-color: #2ecc71;　*/

.panel-item.trigger,
.result-panel-item.trigger,
.panel-item.tag-filter.trigger,
.panel-item.trigger.selected,
.panel-item.tag-filter.trigger.selected { background-color: #a78058; }/* 元の配色 background-color: #e67e22;　*/

.panelTag-Duplication-error {
  animation: panelTag-Duplication-errorOnce 1.5s ease-in-out;
}

.panel-item.none.action,
.panel-item.none.target,
.panel-item.none.trigger {
  background-color: #666;color: #000000;
  transition: background-color 0.5s ease;
}



@keyframes panelTag-Duplication-errorOnce {
  0%   { background-color: rgba(212, 57, 57, 0.486); transform: translateY(0); }
  49%  { background-color: var(--setting-bg); transform: translateY(0); }
  50%  { background-color: rgba(212, 57, 57, 0.486); transform: translateY(0); }
  100% { background-color: var(--setting-bg); transform: translateY(0); }
}

.panel-item .remove-btn {
  margin-left: 10px;
  border: none;
  background: none;
  cursor: pointer;
  font-weight: bold;
  font-size: 12px;
}

.panel-item:hover {
  background: #aaa;
}

.panel-item.active {
  background: #888;
}




.label-layer {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  pointer-events: none; /* div はクリック透過 */
  z-index: 0;
}
.label-layer .line-label {
  position: absolute;
  left: 0;
  width: 100%;
  padding: 2px 4px;
  box-sizing: border-box;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  background: rgba(255,255,0,0.1); /* 仮のハイライト色 */
  z-index: 0;
}



.result-area-wrapper {
  pointer-events: auto;
  width: 100%;
  box-sizing: border-box;
  position: relative;
  display: none;
  overflow-y: auto;
  border: none;
  color: #f6d3eb;
  /*background: rgba(5, 42, 1, 0.452);
  background: linear-gradient(to right, #02360a7f, #03140792, #2c2d2c94);
  background-color: #37373767;
  backdrop-filter: blur(6px);*/
  flex-direction: column;
  z-index: 400;
  
}

/* デフォルト（theme-natsu） */
body.theme-natsu .result-area-wrapper {
  background: linear-gradient(to right, #031e08f6, #031e08f5, #031e08d3, #031e08f5);
  color: #f6d3eb;
}

body.theme-natsu #communityBoardWrapper {
  background-color: #021605d3;
  color: #f6d3eb;
}

/* 春テーマ */
body.theme-haru .result-area-wrapper {
  background: linear-gradient(to right, #d8cfd8f6, #d8cfd8f5, #d8cfd8d3, #d8cfd8f5);
  color: #2c3e50;
}

body.theme-haru #communityBoardWrapper {
  background-color: #d8cfd8d3;
  color: #2c3e50;
}

/* 秋テーマ */
body.theme-aki .result-area-wrapper {
  background: linear-gradient(to right, #1e0303f6, #1e0303f5, #1e0303d3, #1e0303f5);
  color: #331a00;
}

body.theme-aki #communityBoardWrapper {
  background-color: #1e0303d3;
  color: #331a00;
}

/* 冬テーマ */
body.theme-fuyu .result-area-wrapper {
  background: linear-gradient(to right, #cbd8e0f6, #cbd8e0f5, #cbd8e0d3, #cbd8e0f5);
  color: #ffffff;
}

body.theme-fuyu #communityBoardWrapper {
  background-color: #cbd8e0d3;
  color: #ffffff;
}


#resultAreaOverray {
  content: "";
  position: absolute;
  height: 100%;/*calc(100% - 2.2rem);*/
  width: 100%;
  background-image: url("/image/1212a.JPG");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  z-index: 399;
  display: none;
  top: 0;
}


.result-item {
  width: 100%;
  display: flex;
  flex-direction: column; /* タイトル + 解説を縦に並べる */
  overflow: visible;
  padding: 12px 12px;
  color: #f6d3ebc5;
  border-bottom: 1px solid #ddd;
  cursor: pointer;
  display: none;
  font-family: 'Menlo', 'Consolas', 'Courier New', monospace;
  font-size: 12px;
  background: #031407a9;
}

.result-item:hover {
  background-color: #03140792;
  background: linear-gradient(to right, #10441dc8, #03140792, #03140792, #03140792);
}

.result-item.active-result {
  background: #03140792;
  transition: all 1.6s ease;
}

.result-settings-container,
.result-settingTag-container {
  justify-content: space-between;
  width: 100%;
  position: relative;
  display: flex;
  min-height: 1.8rem;
  align-items: center;
  justify-content: flex-start;
  color: #f6d3eb;
  margin-bottom: 4px;
}

.tag.lang-tag,
.tag.fw-tag,
.tag.pf-tag {
  flex: 1;
  height: 100%;
  font-size: 14px;
  border: none;
  display: flex;
  justify-content: center; /* 左右中央 */
  align-items: center; 
  background: linear-gradient(to right, #555956, #00060100);
  color: #c2c3ad;
  font-family: monospace;
}


.tag.tag-tag {
  font-family: 'Menlo', 'Consolas', 'Courier New', monospace;
  font-size: 12px;
}

.result-title {
  margin-top: 10px;
  font-family: 'Menlo', 'Consolas', 'Courier New', monospace;
  font-size: 12px;
  color: #c9d6c8cc;
}

.result-description {
  display: none;
  padding: 6px 12px;
  color: #b5b5b5;
  border-top: 0.1px solid #c2ac53b8;
  border-left: 0.1px solid #c2ac53b8;
  font-size: 0.9rem;
  display: none;
  margin-top: 10px;
  margin-bottom: 10px;
  font-family: 'Menlo', 'Consolas', 'Courier New', monospace;
  font-size: 12px;
}


#sortTagContainer {
  display: none;
  height: 100%;
  border: 1px solid #c2ac53;
  font-family: monospace;
}

#existingContainer, #sortTargetContainer {
  display: flex;
  flex-direction: column;
  height: calc(50% - 1.1rem);
}

#existingTagContainer, #sortTargetTagContainer {
  display: flex;
  max-width: 100%;
  height: 100%;
  overflow-y: auto;
  gap: 6px;
  padding: 16px;
  align-items: flex-start;
}

.existingSetting-list, .sortTargetSetting-list {
  display: flex;
  max-width: 100%;
  flex-direction: column;
  overflow-y: auto;
  height: 100%;
  padding: 16px;
  align-items: flex-start;
  border-bottom: 1px solid #c2ac53;
}

#existingTagContainer {
  border-bottom: 1px solid #c2ac53;
}
.sort-StartBtn{
  display: flex;
  justify-content: center; /* 横方向中央 */
  align-items: center;
  box-sizing: border-box;
  width: 100%;
  min-height: 2.2rem;
  color: #f6d3eb;
  border-bottom: 1px solid #c2ac53;
  background-color: #0006018b;
  font-family: monospace;
}

#sortTargetTagContainer,
.sortTargetSetting-list {
  border-bottom: 1px solid #c2ac53;
  background-color: #00060156;
}

/* 親リスト */
.existingSetting-list,
.sortTargetSetting-list {
  display: flex;
  flex-direction: column;
  gap: 12px; /* 各カテゴリ間のスペース */
  padding: 8px;
}

/* 各カテゴリ（見出し＋タグエリア） */
.existingSetting-list > div,
.sortTargetSetting-list > div {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 6px; /* タグ同士の間隔 */
  padding: 6px 8px;
  border-bottom: 1px solid #e5e7eb;
}

.panel-item.coreframe\.frontend,
.panel-item.coreframe\.backend,
.panel-item.library,
.panel-item.externalAPI,
.panel-item.otherSetting,
.panel-item.osConstraint {
  background-color: #f6d3eb;
  margin: -4px 0px;  
}

/*
.tag-filter-btn:hover {
  background: #e0e0e0;
}

.tag-filter-btn.selected {
  background: #007acc;
  color: #fff;
  border-color: #007acc;
}
*/

.setting-list {
  margin: 0;
  padding-left: 1em;
  list-style-type: disc;
  font-size: 0.9rem;
  color: #ddd;
}

.setting-list li {
  margin: 2px 0;
}

.setting-list strong {
  color: #fff;
}

/*resultItemの詳細エリア===================================*/
.detailSetting-output-container {
  display: flex;
  flex-direction: column;
  gap: 4px;
  margin-top: 20px;
  padding: 6px 10px;
  border: 1px solid #ccc;
  border-radius: 6px;
  background: #f9f9f91e;
  font-size: 13px;
  color: #8faf92;
}

.detailSetting-item {
  display: flex;
  justify-content: flex-start;
  border-bottom: 1px dashed #ddd;
  padding: 2px 0;
}

.detailSetting-item span {
  color: #62b0e8;
  font-weight: 500;
  margin-left: 10px;
}
